package biz.zsxm;


import biz.bjjy.vo.BjjyVo;

import java.sql.*;
import java.util.ArrayList;
import java.util.List;


/**
 * Java中使用JDBC连接数据库
 * 1） 加载驱动 2） 创建数据库连接
 * 3） 创建执行sql的语句 4） 执行语句 5） 处理执行结果 6） 释放资源
 *
 * @author ljt
 */
public class ZxsmConn {


    /**
     * Statement 和 PreparedStatement之间的关系和区别.
     * 关系：PreparedStatement继承自Statement,都是接口
     * 区别：PreparedStatement可以使用占位符，是预编译的，批处理比Statement效率高
     */
    public static List<ZsxmVo> conn(String sql) {

        String URL = "jdbc:mysql://192.168.106.50:3308/tax_tb?characterEncoding=utf-8";
        String USER = "root";
        String PASSWORD = "root";

        List<ZsxmVo> zsxmVos = new ArrayList<>();

        // 1.加载驱动程序
        try {
            Class.forName("com.mysql.jdbc.Driver");
            // 2.获得数据库链接
            Connection conn = DriverManager.getConnection(URL, USER, PASSWORD);
            // 3.通过数据库的连接操作数据库，实现增删改查（使用Statement类）
            // String TIP="《农产品汇总表》合计应=《附表二》第6栏_税额!!";
            //预编译
            PreparedStatement statement = conn.prepareStatement(sql);
            // statement.setString(1, TIP);
            ResultSet rs = statement.executeQuery();
//			String sql="select * from userinfo where UserName='"+name+"'";
//			Statement statement = conn.createStatement();
//			ResultSet rs = statement.executeQuery(sql);
            // 4.处理数据库的返回结果(使用ResultSet类)

            while (rs.next()) {

                ZsxmVo vo = new ZsxmVo();

                vo.setZsxmDm(rs.getString("zsxm_dm"))
                        .setZsxmMc(rs.getString("zsxm_mc"))
                        .setZsxmJc(rs.getString("zsxm_jc"))
                        .setXybz(rs.getString("xybz"))
                        .setYxbz(rs.getString("yxbz"))
                        .setSjzsxmDm(rs.getString("sjzsxm_dm"))
                        .setGdsbz(rs.getString("gdsbz"))
                        .setOrderId(rs.getInt("order_id")) ;


                zsxmVos.add(vo);
            }

            System.out.println("---------------------");
            // 关闭资源
            conn.close();
            rs.close();
            statement.close();
        } catch (ClassNotFoundException e) {
            e.printStackTrace();
        } catch (SQLException e) {
            e.printStackTrace();
        }finally {

        }

        return zsxmVos;
    }

}
