package com.example.demo;


import biz.bbdm.BbdmConn;
import biz.bbdm.BbdmVo;
import biz.bblx.BblxConn;
import biz.bjjy.coon.BjjyConn;
import biz.bjjy.vo.BjjyVo;
import biz.zsxm.BblxVo;
import biz.zsxm.ZsxmVo;
import biz.zsxm.ZxsmConn;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.serializer.SerializerFeature;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.List;


/**
 * Java中使用JDBC连接数据库
 * 1） 加载驱动 2） 创建数据库连接
 * 3） 创建执行sql的语句 4） 执行语句 5） 处理执行结果 6） 释放资源
 *
 * @author ljt
 */
public class Main {


    private static BjjyConn ByyjConn;

    public static void main(String[] args) throws IOException {

        String bjjySql = "SELECT * FROM sbzj_sb_sbxx_bjjy;";
        String zsxmSql = "select * from agency_dm_zsxm;";
        String bblxSql = "select * from agency_dm_bblx;";
        String bbSql = "select * from agency_dm_bb;";
        // 1.调用表间校验
        List<BjjyVo> bjjyVos = ByyjConn.conn(bjjySql);
        // 2.调用 zsxm
        List<ZsxmVo> zsxmVos = ZxsmConn.conn(zsxmSql);
        // 3.调用 bblx
        List<BblxVo> bblxvos = BblxConn.conn(bblxSql);
        // 4.调用 bbdm
        List<BbdmVo> bbdmvos = BbdmConn.conn(bbSql);
        // 5.组装数据
        for (int m = 0; m < bjjyVos.size(); m++) {
            for (int n = 0; n < bblxvos.size(); n++) {
                if (bjjyVos.get(m).getZsxmDm() == null || bjjyVos.get(m).getZsxmDm().equals("")) {
                    if (bjjyVos.get(m).getBblxDm().equals(bblxvos.get(n).getBblx_dm())) {
                        bjjyVos.get(m).setZsxmDm(bblxvos.get(n).getZsxm());
                        bjjyVos.get(m).setBblxMc(bblxvos.get(n).getBblx_mc());
                    }
                } else if (bjjyVos.get(m).getBblxDm().equals(bblxvos.get(n).getBblx_dm()) &
                        bblxvos.get(n).getZsxm().equals(bjjyVos.get(m).getZsxmDm())) {
                    bjjyVos.get(m).setBblxMc(bblxvos.get(n).getBblx_mc());
                }
            }
        }
        for (int i = 0; i < bjjyVos.size(); i++) {
            for (int j = 0; j < zsxmVos.size(); j++) {
                if (bjjyVos.get(i).getZsxmDm().equals(zsxmVos.get(j).getZsxmDm())) {
                    bjjyVos.get(i).setZsxmMc(zsxmVos.get(j).getZsxmMc());
                }
            }
        }

        for (int b = 0; b < bjjyVos.size(); b++) {
            for (int a = 0; a < bbdmvos.size(); a++) {
                if (bjjyVos.get(b).getZsxmDm().equals(bbdmvos.get(a).getZsxm_dm()) &
                        bjjyVos.get(b).getBbDm().equals(bbdmvos.get(a).getBb_dm()) &
                        bjjyVos.get(b).getBblxDm().equals(bbdmvos.get(a).getBblx_dm())
                ) {
                    bjjyVos.get(b).setBbMc(bbdmvos.get(a).getBb_mc());
                }
            }
        }
        System.out.println(bjjyVos.get(0));
        System.out.println("----------------------");
        System.out.println(bjjyVos.get(5));

        // 6.转换 json
        String jsonString = JSONArray.toJSONString(bjjyVos, SerializerFeature.PrettyFormat, SerializerFeature.WriteMapNullValue);

        // 7.生成 Json 文件
        String directory = "D:\\test";
        String filename = "bjjy.json";

        //2.  创建文件夹对象     创建文件对象
        File file = new File(directory);
        //如果文件夹不存在  就创建一个空的文件夹
        if (!file.exists()) {
            file.mkdirs();
        }
        File file2 = new File(directory, filename);
        //如果文件不存在  就创建一个空的文件
        if (!file2.exists()) {
            try {
                file2.createNewFile();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
        //3.写入数据
        //创建文件字节输出流
        FileOutputStream fos = new FileOutputStream(directory + "\\" + filename);
        //开始写
        String str = jsonString;
        byte[] bytes = str.getBytes();
        //将byte数组中的所有数据全部写入
        fos.write(bytes);
        //关闭流
        fos.close();


    }
}
